import type { ProjectListingInfo } from '@goldenwere/static-web-templates-types'

import { inflateDescriptionListEmbeds } from './descriptionList'
import { inflateDetailsElements } from './details'
import { inflateImageEmbeds } from './image'
import { inflateVideoEmbeds } from './video'

/**
 * Inflates various supported embeds
 * @param _window the reference to the window
 */
export const inflateEmbeds = (_projectInfo?: ProjectListingInfo) => {
  inflateDescriptionListEmbeds(_projectInfo)
  inflateDetailsElements()
  inflateImageEmbeds()
  inflateVideoEmbeds()
}
